/**************************************************************************/
/*
/* simple example using IVI driver pi40iv for LXI and PXI
/*
/**************************************************************************/

#include "pi40iv.h"

ViSession handle;
ViStatus status;
ViUInt32 chNameIndex, size;
ViChar chName1[20], chName2[20];

/**************************************************************************/

int __stdcall WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
					   LPSTR lpszCmdLine, int nCmdShow)
{
	if (InitCVIRTE (hInstance, 0, 0) == 0)
		return -1;    /* out of memory */
	
	// initializing card, returning the session handle
	// PXI resource string: PXI3::10::INSTR 
	// LXI resource string  TCPIP0::192.168.2.108::1.15::INSTR
	// option string must have the correct model number
   	status = pi40iv_InitWithOptions ("TCPIP0::192.168.2.108::1.15::INSTR", VI_TRUE, VI_TRUE,
			"Simulate=1,RangeCheck=1,QueryInstrStatus=1,Cache=1,DriverSetup=Model:50-350-001;", &handle);

	// obtaining the card's channel name for further connection
	// for the 40-150-002 it's com1 and ch1, which is channel1
	status = pi40iv_GetChannelName (handle, chNameIndex=1, size=10, chName1);
	status = pi40iv_GetChannelName (handle, chNameIndex=2, size=10, chName2);

	// connect chName1 with chName2, which is closing ch1
	status = pi40iv_Connect (handle, chName1, chName2);

	// closing card, actual switch status does not change on close
	status = pi40iv_close (handle);
		
	return 0;
}
